Template form does not work with template which does not define operatingsystem association
Description

By coincidence, both template types that we have in core have operatingsystems association, so the form renders properly for them.
Other templates that are added from plugins that do not have this association, therefore an error occurs when rendering the form. We
should check whether the method is defined first. The breaking change was introduced in 1.10 by
https://github.com/theforeman/foreman/commit/a377f776e51d6b046ad0d28a56d1427777a51797

Related issues:

Related to Foreman - Feature #3971: Show a warning when PXE template is edited Closed 01/08/2014

Associated revisions

Revision fb94aaef - 08/05/2015 10:59 AM - Marek Hulan

Fixes #11283 - check for operatingsystem_ids before using it

History

#1 - 08/04/2015 06:57 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2591 added

- Pull request deleted ()

#2 - 08/04/2015 06:58 AM - Dominic Cleal
- Related to Feature #3971: Show a warning when PXE template is edited added

#3 - 08/05/2015 11:01 AM - Marek Hulan
- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset fb94aaef8930cabc3f056cc5fc39257f81784d2f.
